## kind 0.27.0

=== images/haproxy/Makefile ===
include $(CURDIR)/../Makefile.common.in
