## kind 0.23.0

=== debian/changelog ===
kind (0.23.0-1ubuntu0.1) oracular-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Wed, 02 Jul 2025 14:59:56 +1000

kind (0.23.0-1) unstable; urgency=medium

  * Initial release (Closes: #1006737)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 28 May 2024 17:11:56 +0100
