=== debian/control ===
Source: kind
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-burntsushi-toml-dev,
               golang-github-alessio-shellescape-dev,
               golang-github-evanphx-json-patch-dev,
               golang-github-google-safetext-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-pelletier-go-toml-dev,
               golang-github-pkg-errors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-gopkg-yaml.v3-dev,
               golang-k8s-sigs-yaml-dev,
               help2man <!nodoc>
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kind
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kind.git
Homepage: https://github.com/kubernetes-sigs/kind
Rules-Requires-Root: no
XS-Go-Import-Path: sigs.k8s.io/kind

Package: kind
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: docker.io
Built-Using: ${misc:Built-Using}
Description: Kubernetes IN Docker - local clusters for testing Kubernetes (program)
 kind is a tool designed for running local Kubernetes clusters by utilizing
 Docker containers as nodes.
 .
 Primarily designed for testing Kubernetes, its flexibility makes it suitable
 for local development or integrating with Continuous Integration (CI)
 pipelines.
