## kind 0.24.0

=== debian/changelog ===
kind (0.24.0-1) unstable; urgency=medium

  * New upstream version 0.24.0
  * d/copyright: Update The Kubernetes Authors year to 2024

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 26 Aug 2024 17:32:41 +0100
