## kind 0.25.0

=== debian/changelog ===
kind (0.25.0-1) unstable; urgency=medium

  * New upstream version 0.25.0
  * d/rules: Skip tests requiring localhost ports
  * d/watch: Ignore non-stable releases in version matching

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Thu, 14 Nov 2024 23:43:54 +0000
