## kind 0.26.0

=== debian/changelog ===
kind (0.26.0-1) unstable; urgency=medium

  * New upstream version 0.26.0

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Wed, 22 Jan 2025 21:36:03 +0000
