=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
+Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
 Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-golang,
