=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,10 @@
 override_dh_auto_install:
 	dh_auto_install -- --no-source
 
+override_dh_auto_test:
+	# Skip tests that require opening localhost ports.
+	dh_auto_test -- -skip='TestPortOrGetFreePort/No_port|TestGetFreePort/listen_on_localhost'
+
 execute_before_dh_installman:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	help2man debian/kind/usr/bin/kind \
