## kind 0.27.0

=== debian/changelog ===
kind (0.27.0-1) unstable; urgency=medium

  * New upstream version 0.27.0
  * d/control: Bump Standards-Version to 4.7.2, no changes
  * d/copyright: Update Arthur debian author year to 2025
  * d/gitlab-ci.yml: Remove pipeline from go team
  * d/p/*:
    - Add patch to workaround shellescape package name change
    - Drop patch that skips test with docker dependencies
  * d/rules:
    - Enable hardening flags for non-MIPS architectures
    - Skip test that needs docker
  * d/salsa-ci.yml: Add Salsa CI default pipeline

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Mon, 24 Mar 2025 16:29:10 +0000
