=== debian/changelog ===
kind (0.29.0-1) unstable; urgency=medium

  * New upstream version 0.29.0

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sun, 10 Aug 2025 23:34:30 +0100
