=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                golang-k8s-sigs-yaml-dev,
                help2man <!nodoc>
 Testsuite: autopkgtest-pkg-go
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/kind
 Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/kind.git
 Homepage: https://github.com/kubernetes-sigs/kind
