=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,23 @@
 export DH_GOLANG_EXCLUDES := images site
 export DH_GOLANG_INSTALL_EXTRA := site/content/docs/user/kind-example-config.yaml
 
+ifeq (,$(filter $(DEB_HOST_ARCH), mips mipsel mips64el))
+HARDENING := -buildmode=pie -ldflags="-extldflags -Wl,-z,now,-z,relro"
+endif
+
+
 %:
 	dh $@ --builddirectory=_build --buildsystem=golang
+
+override_dh_auto_build:
+	dh_auto_build -O --buildsystem=golang -- $(HARDENING)
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
 
 override_dh_auto_test:
 	# Skip tests that require opening localhost ports.
-	dh_auto_test -- -skip='TestPortOrGetFreePort/No_port|TestGetFreePort/listen_on_localhost'
+	dh_auto_test -- -skip='TestPortOrGetFreePort/No_port|TestGetFreePort/listen_on_localhost|TestIntegrationEnsureNetworkConcurrent'
 
 execute_before_dh_installman:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
