=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/kubernetes-sigs/kind/tags .*/v?(\d[^-]+)\.tar\.gz debian
