## kind 0.30.0

=== debian/changelog ===
kind (0.30.0-1) unstable; urgency=medium

  * New upstream version 0.30.0

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Sat, 13 Dec 2025 17:46:34 +0000
